Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::viewpoint_node::set_bind_listener Class Reference

Inheritance diagram for openvrml::vrml97_node::viewpoint_node::set_bind_listener:

[legend]
List of all members.

## Detailed Description

set_bind eventIn listener.

For internal use only.

## Public Member Functions

| set_bind_listener (viewpoint_node &node)
| Construct.
virtual | ~set_bind_listener () throw ()
| Destroy.

## Private Member Functions

virtual void | do_process_event (const sfbool &value, double timestamp) throw (std::bad_alloc)
| Process an event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::viewpoint_node::set_bind_listener::set_bind_listener | ( | viewpoint_node & | node | ) | `[explicit]`

Construct.

Parameters:

  | node | viewpoint_node.

openvrml::vrml97_node::viewpoint_node::set_bind_listener::~set_bind_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::viewpoint_node::set_bind_listener::do_process_event | ( | const sfbool & | value,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

Process an event.

Parameters:

  | value | event value.
  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.